kube_ps1() {
  if [ ! -f "$HOME/.kube/config" ]; then
    return
  fi

  KUBE_PS1_CURRENT_CONTEXT=$(kubectl config current-context)

  if [ ! -z "${KUBE_PS1_CURRENT_CONTEXT}" ]; then
    KUBE_PS1_SHORT_CONTEXT=$(echo "${KUBE_PS1_CURRENT_CONTEXT}" | sed 's@.*/@@')
    KUBE_PS1_CURRENT_NAMESPACE="$(kubectl config view -o=jsonpath="{.contexts[?(@.name==\"${KUBE_PS1_CURRENT_CONTEXT}\")].context.namespace}")"

    echo -e " \e[34m(\u2388 ${KUBE_PS1_SHORT_CONTEXT}:${KUBE_PS1_CURRENT_NAMESPACE:-default})\e[0m"
  fi
}
